| Home · All Classes · All Namespaces · Modules · Functions · Files

Public Member Functions | List of all members
Tp::ContactMediaDescriptionPropertiesMap Struct Reference
Mapping types

`#include <TelepathyQt/Types>`

Inherits QMap< uint, QVariantMap >.

## Public Member Functions

| ContactMediaDescriptionPropertiesMap ()
| ContactMediaDescriptionPropertiesMap (const QMap< uint, QVariantMap > &a)
ContactMediaDescriptionPropertiesMap & | operator= (const QMap< uint, QVariantMap > &a)

## Detailed Description

Mapping type generated from the specification. Convertible with QMap<uint, QVariantMap>, but needed to have a discrete type in the Qt type system.

## Constructor & Destructor Documentation

Tp::ContactMediaDescriptionPropertiesMap::ContactMediaDescriptionPropertiesMap | ( |  | ) |

inline

Tp::ContactMediaDescriptionPropertiesMap::ContactMediaDescriptionPropertiesMap | ( | const QMap< uint, QVariantMap > & | a | ) |

inline

## Member Function Documentation

ContactMediaDescriptionPropertiesMap& Tp::ContactMediaDescriptionPropertiesMap::operator= | ( | const QMap< uint, QVariantMap > & | a | ) |

inline